Get your fills
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/fills \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/fills"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/fills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"fills": [
{
"fill_id": "3d57ed09-fbd6-44f1-8e8b-b10e551c5e73",
"symbol": "PI_XBTUSD",
"side": "buy",
"order_id": "693af756-055e-47ef-99d5-bcf4c456ebc5",
"size": 5490,
"price": 9400,
"fillTime": "2020-07-22T13:37:27.077Z",
"fillType": "maker"
},
{
"fill_id": "56b86ada-73b0-454d-a95a-e29e3e85b349",
"symbol": "PI_XBTUSD",
"side": "buy",
"order_id": "3f513c4c-683d-44ab-a73b-d296abbea201",
"size": 5000,
"price": 9456,
"fillTime": "2020-07-21T12:41:52.790Z",
"fillType": "taker"
}
],
"serverTime": "2020-07-22T13:44:24.311Z"
}Historical Data
Get your fills
This endpoint returns information on your filled orders for all futures contracts.
GET
/
fills
Get your fills
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/fills \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/fills"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/fills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"fills": [
{
"fill_id": "3d57ed09-fbd6-44f1-8e8b-b10e551c5e73",
"symbol": "PI_XBTUSD",
"side": "buy",
"order_id": "693af756-055e-47ef-99d5-bcf4c456ebc5",
"size": 5490,
"price": 9400,
"fillTime": "2020-07-22T13:37:27.077Z",
"fillType": "maker"
},
{
"fill_id": "56b86ada-73b0-454d-a95a-e29e3e85b349",
"symbol": "PI_XBTUSD",
"side": "buy",
"order_id": "3f513c4c-683d-44ab-a73b-d296abbea201",
"size": 5000,
"price": 9456,
"fillTime": "2020-07-21T12:41:52.790Z",
"fillType": "taker"
}
],
"serverTime": "2020-07-22T13:44:24.311Z"
}Authorizations
General API key with at least read-only access
Authentication string
Query Parameters
If not provided, returns the last 100 fills in any futures contract. If provided, returns the 100 entries before lastFillTime.
Response
200 - application/json
- Success Response
- Errors
A list containing structures with information on filled orders. The
list is sorted descending by fillTime.
Show child attributes
Show child attributes
Available options:
success Example:
"success"
Server time in Coordinated Universal Time (UTC)
Example:
"2020-08-27T17:03:33.196Z"
Was this page helpful?